Disconnect a calendar
curl --request POST \
--url https://api.cal.com/v2/calendars/{calendar}/disconnect \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '{
"id": 10
}'import requests
url = "https://api.cal.com/v2/calendars/{calendar}/disconnect"
payload = { "id": 10 }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 10})
};
fetch('https://api.cal.com/v2/calendars/{calendar}/disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": 123,
"type": "<string>",
"userId": 123,
"teamId": 123,
"appId": "<string>",
"invalid": true
}
}Calendars
Disconnect a calendar
If accessed using an OAuth access token, the APPS_WRITE scope is required.
POST
/
v2
/
calendars
/
{calendar}
/
disconnect
Disconnect a calendar
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Available options:
apple, google, office365 Body
application/json
Credential ID of the calendar to delete, as returned by the /calendars endpoint
Example:
10
Was this page helpful?
⌘I